// $Id: google_webfont_loader_api.js,v 1.3.2.1.2.1 2011/02/01 19:58:46 btmash Exp $

/**
 * @file google_webfont_loader_api.js
 * This file retrieves the webfont js file from google if necessary and loads
 * the webfont loader with the appropriate file callbacks.
 */
(function ($) {
  Drupal.behaviors.google_webfont_loader = {
    attach: function() {
      if (Drupal.settings.google_webfont_loader_run_once == true) {
        return;
      }
      Drupal.settings.google_webfont_loader_run_once = true;
      if (Drupal.settings.google_webfont_loader_api_preloaded == 1) {
        WebFont.load(Drupal.settings.google_webfont_loader_api_setting);
      }
      else {
        src = ('https:' == document.location.protocol ? 'https' : 'http') +
                  '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
        $.getScript(src, function() {
          WebFont.load(Drupal.settings.google_webfont_loader_api_setting);
        });
      }
    }
  }
})(jQuery);
